## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Break a circular test dependency on python-tiny-proxy
%bcond bootstrap 0
%bcond tests %{expr:%{without bootstrap} && 0%{?fedora} > 39}

%global _description %{expand:
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5(h), HTTP (tunneling) proxy supported. It uses python-socks for core
proxy functionality.}

%global forgeurl https://github.com/romis2012/httpx-socks

Name:           python-httpx-socks
Version:        0.8.1
Release:        %{autorelease}
Summary:        Proxy (HTTP, SOCKS) transports for httpx
License:        Apache-2.0
%forgemeta
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel

%description %_description

%package -n python3-httpx-socks
Summary:        %{summary}

%description -n python3-httpx-socks %_description

%pyproject_extras_subpkg -n python3-httpx-socks asyncio trio

%prep
%autosetup -n httpx-socks-%{version}
%forgesetup

# loosen pinned deps
sed -i -e "s/httpx>.*$/httpx',/" -e "s/httpcore>.*$/httpcore',/" setup.py

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r \
    -e 's/^(pytest-cov|coveralls|flake8)\b/# &/' \
    -e 's/(==|,<).*//' \
    requirements-dev.txt |
  tee requirements-dev-filtered.txt

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires -x asyncio,trio %{?with_tests:requirements-dev-filtered.txt}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l httpx_socks

%check
%pyproject_check_import
%if %{with tests}
%pytest -v
%endif

%files -n python3-httpx-socks -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1-2
- Rebuilt for Python 3.13 (close RHBZ#2291734)

* Sat Feb 24 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.8.1-1
- feat: update to 0.8.1 (fixes rh#2263703)

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.0-1
- Update to 0.8.0

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.7-9
- Enable the tests

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.7-7
- Assert that .dist-info contains a license file

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.7-6
- Add metapackages for the asyncio and trio extras

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.7-5
- Generate BuildRequires from extras rather than using requirements.txt
- Fixes RHBZ#2261570 (since version bounds were not patched in
  requirements.txt)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.7.7-2
- feat: upload sources (fixes rh#2238236)

* Tue Sep 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.7.7-1
- init
## END: Generated by rpmautospec
